## ----vignetteSetup, echo=FALSE, message=FALSE, warning = FALSE----------------
## Track time spent on making the vignette
startTime <- Sys.time()
## Bib setup
library(RefManageR)
bib <- c(eoPredData = citation("eoPredData")[1])

## ----"citation"---------------------------------------------------------------
## Citation info
citation("eoPredData")

## ----eval = FALSE-------------------------------------------------------------
#  if (!require("BiocManager", quietly = TRUE))
#      install.packages("BiocManager")
#  BiocManager::install("ExperimentHub")
#  BiocManager::install("mixOmics")

## ----"start", message=FALSE, eval=FALSE---------------------------------------
#  library(ExperimentHub)
#  eh <- ExperimentHub()
#  query(eh, "eoPredData")
#  
#  library(mixOmics)
#  # model object
#  eoPredModel <- eh[['EH8090']]
#  # Test object
#  x_test <- eh[['EH8403']]
#  # code to predict on x_test
#  predictions <- predict(x_test, eoPredModel, dist = "max.dist")

## ----reproduce1, echo=FALSE---------------------------------------------------
## Date the vignette was generated
Sys.time()

## ----reproduce2, echo=FALSE---------------------------------------------------
## Processing time in seconds
totalTime <- diff(c(startTime, Sys.time()))
round(totalTime, digits = 3)

## ----reproduce3, echo=FALSE---------------------------------------------------
## Session info
sessionInfo()

## ----vignetteBiblio, results="asis", echo=FALSE, warning=FALSE, message=FALSE----
RefManageR::PrintBibliography(
    bib, .opts = list(hyperlink = "to.doc", style = "html"))

